Subject: Lads got approval notice and will stay with Lads-Net

From: Dezhi Sui <[email-masked]>
Date: Mon, 11 Jul 94 13:43:11 CDT

Hi! Everyone:

My wife and son,as lads, got their approval letters from OMAHA INS,NE today.
They filed their I-485 for EB-3 in early August,93 and quoted my priority date
as July 1,93.

Good luck to all the lads!

I've got so much helpful info from lads-net and here i give my sincere
gratitution to Mr. Mi Mi Sr. , Jun Wu and all lads related friends who contribu
ted to this net so far. I decided to remain on this lads-net since we share sim
ilar situation and interest.

Thanks folks!

Dezhi Sui